%define name    gtkdive
%define version 0.71
%define release %mkrel 9

%define title       GtkDive
%define longtitle   Buehlmann ZH-L16 model diving simulation

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Buehlmann ZH-L16 model diving simulation
License:        GPL
Group:          Sciences/Other
URL:            http://mattzz.dyndns.org/twiki/bin/view/Projects/GtkDive
Source0:        http://mattzz.dyndns.org/twiki/pub/Projects/GtkDive/%{name}-%{version}.tar.bz2
Source1:        %{name}-16.png
Source2:        %{name}-32.png
Source3:        %{name}-48.png
Patch0:		gtkdive-0.71-link.patch
BuildRequires:  gtk+2-devel
BuildRequires:  libxml2-devel

%description
This program was written to learn about the Buehlmann ZH-L16 model that deals
with accumulation of inert gas in body tissues. Currently it compiles for
GNU/Linux.

Do not use this to plan any dive! 

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

# icons
install -D -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png 
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png 

# menu entry

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=GTK;Science;
EOF

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING INSTALL ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/mageia-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.71-9.mga4
+ Revision: 505313
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.71-8.mga3
+ Revision: 352877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 fwang <fwang> 0.71-7.mga3
+ Revision: 329845
- fix linkage

* Sat May 14 2011 dmorgan <dmorgan> 0.71-6.mga1
+ Revision: 98514
- imported package gtkdive


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.71-6mdv2010.0
+ Revision: 429335
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.71-5mdv2009.0
+ Revision: 246680
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.71-3mdv2008.1
+ Revision: 132439
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import gtkdive


* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.71-2mdv2007.0
- xdg menu

* Tue Mar 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.71-1mdk
- New release 0.71
- drop gcc4 patch, merged upstream

* Thu Sep 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.7-5mdk
- Fix group (fix #18917)

* Wed Sep 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-4mdk
- Fix BuildRequires

* Fri Aug 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.7-3mdk
- fix build
- fix menu entry

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-2mdk 
- rebuild

* Mon Apr 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-1mdk
- first mdk release
